edu.isi.pegasus.planner.catalog.transformation.mapper

## Class Staged

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.Mapper
  - - edu.isi.pegasus.planner.catalog.transformation.mapper.Staged

    public class Staged
    extends Mapper

This implementation only generates maps for sites where transformation can be staged

Version:
  $Revision$
Author:
  Gaurang Mehta

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.catalog.transformation.Mapper

`mLogger, mProps, mSiteStore, mTCHandle, mTCMap, PACKAGE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`Staged(PegasusBag bag)` The protected constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMode()` Returns the TCMapper Mode.
`java.util.Map` `getSiteMap(java.lang.String namespace, java.lang.String name, java.lang.String version, java.util.List siteids)` This method returns a Map of compute sites to List of TransformationCatalogEntry objects that are valid for that site

### Methods inherited from class edu.isi.pegasus.planner.catalog.transformation.Mapper

`getSiteList, getTCList, isSiteValid, isStageableMapper, loadTCMapper`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Staged

    public Staged(PegasusBag bag)

The protected constructor.

Parameters:
  `bag` - the bag of initialization objects

### Method Detail

#### getSiteMap

    public java.util.Map getSiteMap(java.lang.String namespace,
                                    java.lang.String name,
                                    java.lang.String version,
                                    java.util.List siteids)

This method returns a Map of compute sites to List of TransformationCatalogEntry objects that are valid for that site

Specified by:
  `getSiteMap` in class `Mapper`
Parameters:
  `namespace` - String The namespace of the logical transformation
  `name` - String The name of the logical transformation
  `version` - String The version of the logical transformation
  `siteids` - List The sites for which you want the map.
Returns:
  Map Key=String SiteId , Values = List of TransformationCatalogEntry object. Returns null if no entries are found.

#### getMode

    public java.lang.String getMode()

Description copied from class: `Mapper`
Returns the TCMapper Mode.

Specified by:
  `getMode` in class `Mapper`
Returns:
  String